default: run

run:  ## run a new container
	@docker run \
  -p 8080:8080 \
  -v $$(pwd)/lumbung.space:/opt/jboss/keycloak/themes/lumbung.space \
	-v $$(pwd)/bin/disable-theme-cache.cli:/opt/jboss/startup-scripts/disable-theme-cache.cli \
  -e KEYCLOAK_USER=admin \
  -e KEYCLOAK_PASSWORD=admin \
	--name keycloakdev \
	--rm \
  jboss/keycloak:12.0.4

shell:  ## get a shell in the container
	@docker exec -it keycloakdev /bin/bash

stop:  ## tear down the container
	@docker stop keycloakdev && docker rm keycloakdev
